# class KBugReport | A dialog box for sending bug reports. More...
Definition | `#include <kbugreport.h>`
Inherits | KDialogBase [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KBugReport ( QWidget * parent = 0L, bool modal=true, const KAboutData *aboutData = 0L )
- virtual ~KBugReport ()

#### Protected Methods

- QString text ()
- bool sendBugReport ()

#### Protected Slots

- virtual void slotConfigureEmail ()
- virtual void slotSetFrom ()
- virtual void slotUrlClicked (const QString &)
- virtual void slotOk ( void )
- virtual void slotCancel ()
- void appChanged (int)
- void updateURL ()

#### Protected Members

- KProcess * m_process
- const KAboutData * m_aboutData
- QMultiLineEdit * m_lineedit
- QLineEdit * m_subject
- QLabel * m_from
- QLabel * m_version
- QString m_strVersion
- QHButtonGroup * m_bgSeverity
- QPushButton * m_configureEmail

## Detailed Description

A dialog box for sending bug reports. All the information needed by the dialog box (program name, version, bug-report address, etc.) comes from the KAboutData class. Make sure you create an instance of KAboutData and pass it to KCmdLineArgs.

KBugReport ( QWidget * parent = 0L, bool modal=true, const KAboutData *aboutData = 0L ) | ### KBugReport

Creates a bug-report dialog. Note that you shouldn't have to do this manually, since KHelpMenu takes care of the menu item for "Report Bug..." and of creating a KBugReport dialog.

~KBugReport () | ### ~KBugReport

[virtual]

Destructor

void slotConfigureEmail () | ### slotConfigureEmail

[protected slots virtual slot]

"Configure email" has been clicked - this calls kcmshell System/email

void slotSetFrom () | ### slotSetFrom

[protected slots virtual slot]

Sets the "From" field from the e-mail configuration Called at creation time, but also after "Configure email" is closed.

void slotUrlClicked (const QString &) | ### slotUrlClicked

[protected slots virtual slot]

The URL-Label "http://bugs.kde.org/" was clicked.

void slotOk ( void ) | ### slotOk

[protected slots virtual slot]

OK has been clicked

Reimplemented from KDialogBase.

void slotCancel () | ### slotCancel

[protected slots virtual slot]

Cancel has been clicked

Reimplemented from KDialogBase.

void appChanged (int) | ### appChanged

[protected slots slot]

void updateURL () | ### updateURL

[protected slots slot]

QString text () | ### text

[protected]

bool sendBugReport () | ### sendBugReport

[protected]

KProcess * m_process | ### m_process

[protected]

const KAboutData * m_aboutData | ### m_aboutData

[protected]

QMultiLineEdit * m_lineedit | ### m_lineedit

[protected]

QLineEdit * m_subject | ### m_subject

[protected]

QLabel * m_from | ### m_from

[protected]

QLabel * m_version | ### m_version

[protected]

QString m_strVersion | ### m_strVersion

[protected]

QHButtonGroup * m_bgSeverity | ### m_bgSeverity

[protected]

QPushButton * m_configureEmail | ### m_configureEmail

[protected]

- Author: David Faure <faure@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.